# libs.req expands symlinks getting something like
# /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.322.b06-0.x86_64/jre/lib/...
%filter_from_requires s/^\(.usr.lib.jvm.java\).*\(.jre.lib\)/\1\2/;/libjvm.so.debug/d
%define module_name Inline-Java
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Apache2/Const.pm) perl(Apache2/RequestIO.pm) perl(Apache2/RequestRec.pm) perl(CGI.pm) perl(CGI/Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Which.pm) perl(Inline.pm) perl(MIME/Base64.pm) perl(Test.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators
BuildRequires: java-1.8.0-devel
BuildRequires: chrpath

Name: perl-%module_name
Version: 0.67
Release: alt2
Summary: Write Perl classes in Java.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETJ/%{module_name}-%{version}.tar.gz

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
perl Makefile.PL </dev/null
make

%install
%perl_vendor_install


%files
%doc README.JNI CHANGES TODO README examples
%perl_vendor_archlib/I*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.67-alt2
- rebuild with perl 5.38

* Mon Apr 18 2022 Igor Vlasenko <viy@altlinux.org> 0.67-alt1
- updated by package builder

* Sat Feb 19 2022 Cronbuild Service <cronbuild@altlinux.org> 0.66-alt16
- rebuild to get rid of unmets

* Sun Jan 16 2022 Cronbuild Service <cronbuild@altlinux.org> 0.66-alt15
- rebuild to get rid of unmets

* Tue Dec 21 2021 Cronbuild Service <cronbuild@altlinux.org> 0.66-alt14
- rebuild to get rid of unmets

* Sun Oct 24 2021 Cronbuild Service <cronbuild@altlinux.org> 0.66-alt13
- rebuild to get rid of unmets

* Sat Oct 16 2021 Cronbuild Service <cronbuild@altlinux.org> 0.66-alt12
- rebuild to get rid of unmets

* Tue Oct 05 2021 Cronbuild Service <cronbuild@altlinux.org> 0.66-alt11
- rebuild to get rid of unmets

* Tue Sep 07 2021 Cronbuild Service <cronbuild@altlinux.org> 0.66-alt10
- rebuild to get rid of unmets

* Wed Aug 11 2021 Cronbuild Service <cronbuild@altlinux.org> 0.66-alt9
- rebuild to get rid of unmets

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.66-alt8
- rebuild with perl 5.34.0

* Sat Feb 06 2021 Cronbuild Service <cronbuild@altlinux.org> 0.66-alt7
- rebuild to get rid of unmets

* Wed Dec 16 2020 Cronbuild Service <cronbuild@altlinux.org> 0.66-alt6
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.66-alt5
- rebuild with perl 5.30

* Sat Jun 29 2019 Cronbuild Service <cronbuild@altlinux.org> 0.66-alt4
- rebuild to get rid of unmets

* Sun Jun 23 2019 Cronbuild Service <cronbuild@altlinux.org> 0.66-alt3
- rebuild to get rid of unmets

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.66-alt2.1
- rebuild with perl 5.28.1

* Tue Jun 26 2018 Cronbuild Service <cronbuild@altlinux.org> 0.66-alt2
- rebuild to get rid of unmets

* Fri Apr 06 2018 Igor Vlasenko <viy@altlinux.ru> 0.66-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.65-alt1
- regenerated from template by package builder

* Thu Mar 22 2018 Igor Vlasenko <viy@altlinux.ru> 0.64-alt1
- regenerated from template by package builder

* Tue Feb 13 2018 Igor Vlasenko <viy@altlinux.ru> 0.63-alt1
- regenerated from template by package builder

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.57-alt5
- rebuild with perl 5.26

* Fri Oct 06 2017 Cronbuild Service <cronbuild@altlinux.org> 0.57-alt4
- rebuild to get rid of unmets

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.57-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.57-alt2.1
- rebuild with perl 5.22

* Sat Nov 14 2015 Cronbuild Service <cronbuild@altlinux.org> 0.57-alt2
- rebuild to get rid of unmets

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.57-alt1
- regenerated from template by package builder

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.56-alt2
- rebuild to get rid of unmets

* Mon Nov 24 2014 Igor Vlasenko <viy@altlinux.ru> 0.56-alt1
- regenerated from template by package builder

* Mon Nov 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.55-alt1
- regenerated from template by package builder

* Wed Jun 18 2014 Cronbuild Service <cronbuild@altlinux.org> 0.53-alt2
- rebuild to get rid of unmets

* Tue May 20 2014 Igor Vlasenko <viy@altlinux.ru> 0.53-alt1
- initial import by package builder

